Package org.wso2.carbon.logging.admin.stub.types.axis2

# Class LoggingAdminIOException

java.lang.Object
org.wso2.carbon.logging.admin.stub.types.axis2.LoggingAdminIOException

All Implemented Interfaces:
  `Serializable`, `org.apache.axis2.databinding.ADBBean`

public class LoggingAdminIOException extends Object implements org.apache.axis2.databinding.ADBBean
LoggingAdminIOException bean class

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `LoggingAdminIOException.Factory`
  Factory class that keeps the parse method

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected IOException`
  `localIOException`
  field for IOException
  `protected boolean`
  `localIOExceptionTracker`
  `static final QName`
  `MY_QNAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingAdminIOException()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IOException`
  `getIOException()`
  Auto generated getter method
  `org.apache.axiom.om.OMElement`
  `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
  `XMLStreamReader`
  `getPullParser(QName qName)`
  databinding method to get an XML representation of this object
  `boolean`
  `isIOExceptionSpecified()`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
  `void`
  `setIOException(IOException param)`
  Auto generated setter method

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MY_QNAME

    public static final QName MY_QNAME

  - ### localIOException

    protected IOException localIOException
    field for IOException

  - ### localIOExceptionTracker

    protected boolean localIOExceptionTracker

- ## Constructor Details

  - ### LoggingAdminIOException

    public LoggingAdminIOException()

- ## Method Details

  - ### isIOExceptionSpecified

    public boolean isIOExceptionSpecified()

  - ### getIOException

    public IOException getIOException()
    Auto generated getter method
    Returns:
      java.io.xsd.IOException

  - ### setIOException

    public void setIOException(IOException param)
    Auto generated setter method
    Parameters:
      `param` - IOException

  - ### getOMElement

    public org.apache.axiom.om.OMElement getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory) throws org.apache.axis2.databinding.ADBException
    Specified by:
      `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
    Parameters:
      `parentQName` -
      `factory` -
    Returns:
      org.apache.axiom.om.OMElement
    Throws:
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### getPullParser

    public XMLStreamReader getPullParser(QName qName) throws org.apache.axis2.databinding.ADBException
    databinding method to get an XML representation of this object
    Specified by:
      `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `org.apache.axis2.databinding.ADBException`